{
    "extends": "@tsconfig/node20/tsconfig.json",
    "compilerOptions": {
        "target": "es2024",
        "lib": [
            "dom",
            "esnext"
        ],
        "module": "es6",
        "moduleResolution": "bundler",
        "isolatedModules": true,
        "allowJs": false,
        "checkJs": false,
        "importHelpers": true,
        "allowSyntheticDefaultImports": true,
        "types": [
            "node"
        ],
        "sourceMap": true
    },
    "includes": [
        "./src/**/*.ts",
        "./src/**/*.vue"
    ],
    "exclude": [
        "./docs/*"
    ]
}
